summaryrefslogtreecommitdiff
path: root/build_matrix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_matrix.sh')
-rwxr-xr-xbuild_matrix.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/build_matrix.sh b/build_matrix.sh
index c5f699a0..b16e03e5 100755
--- a/build_matrix.sh
+++ b/build_matrix.sh
@@ -86,7 +86,9 @@ for CC in $MATRIX_CC; do
else
echo_magenta 'Use system libpcap' >&2
purge_directory "$PREFIX"
- (cd ../libpcap; make distclean || echo '(Ignoring the make error.)')
+ if [ -d ../libpcap ]; then
+ (cd ../libpcap; make distclean || echo '(Ignoring the make error.)')
+ fi
build_tcpdump
fi
done